### Constructor

# GimpUi GradientSelectButton new

since: 2.4

#### Declaration [src]

    GtkWidget*
    gimp_gradient_select_button_new (
      const gchar* title,
      const gchar* gradient_name
    )

#### Description [src]

Creates a new `GtkWidget` that completely controls the selection of a gradient. This widget is suitable for placement in a table in a plug-in dialog.

Available since: 2.4

#### Parameters

`title`

  Type: `const gchar*`

  Title of the dialog to use or `NULL` to use the default title.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`gradient_name`

  Type: `const gchar*`

  Initial gradient name.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkWidget`

A `GtkWidget` that you can use in your UI.

The data is owned by the called function.